﻿@{
    ViewData["Title"] = "Kelompok Qiroaty";
}
<section class="section">
    <div class="section-header">
        <h1>Daftar Kelompok Qiroaty</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">ELearning</a></div>
            <div class="breadcrumb-item active"><a href="#">Daftar Kelompok Qiroaty</a></div>
        </div>
    </div>

    <div class="section-body">

        <div class="form-row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header form-row">
                        <h4 class="col-md-7">Data Kelompok</h4>
                        <div class="col-md-5 text-right">
                            <button type="button" class="btn btn-primary btn-flat mr-1" onclick="TambahKelompokQuran();"><i class="fa fa-plus"></i> Tambah Kelompok</button>
                            <button type="button" class="btn btn-success btn-flat" onclick="ModalUploadKelompokQiroaty();"><i class="fa fa-upload"></i> Upload File</button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="TabelKelasQuran" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>AKSI</th>
                                        <th>KODE</th>
                                        <th>NAMA KELOMPOK</th>
                                        <th>NAMA GURU</th>
                                        <th>HARI</th>
                                        <th>JAM</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>AKSI</th>
                                        <th>KODE</th>
                                        <th>NAMA KELOMPOK</th>
                                        <th>NAMA GURU</th>
                                        <th>HARI</th>
                                        <th>JAM</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="card" style="display:none;" id="DivTabelKelasQuranSiswa">
                    <div class="card-header form-row">
                        <h4 class="col-md-7">Data Kelompok</h4>
                        <div class="col-md-5 text-right">
                            <button type="button" class="btn btn-primary btn-flat" onclick="TambahKelompokQiroatySiswa();"><i class="fa fa-plus"></i> Tambah Siswa</button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="TabelKelasQuranSiswa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>AKSI</th>
                                        <th>NAMA KELOMPOK</th>
                                        <th>NAMA SISWA</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>AKSI</th>
                                        <th>NAMA KELOMPOK</th>
                                        <th>NAMA SISWA</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalFormBuatKelompokQiroaty" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormBuatKelompokQiroaty"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormBuatKelompokQiroaty" action="#" method="POST" class="needs-validation" novalidate>
                    <input type="hidden" name="Periode" class="form-control" value="1">
                    <input type="hidden" name="IdKelasQuran" class="form-control">
                    <div class="form-row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Nama Kelompok</label>
                                <input type="text" name="Nama" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Nama Singkat Kelompok</label>
                                <input type="text" name="Kode" class="form-control" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Nama Guru</label>
                                <select class="form-control select2" name="IdPegawai" style="width: 100%;">
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Hari Ke</label>
                                <select class="form-control select2" name="HariKe" style="width: 100%;">
                                    
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Jam Mulai</label>
                                <input type="text" name="JamMulai" class="form-control clockpickers" placeholder="- Pilih Jam Mulai -" readonly />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Jam Selesai</label>
                                <input type="text" name="JamSelesai" class="form-control clockpickers" placeholder="- Pilih Jam Selesai -" readonly />
                            </div>
                        </div>
                    </div>

                    <div class="offset-md-2 col-md-9 text-center">
                        <button type="button" class="btn btn-danger text-center" data-dismiss="modal"><i class="fa fa-times"></i> Batal</button>
                        <button type="button" class="btn btn-success text-center" onclick="SaveBuatKelompokQiroaty();"><i class="fa fa-save"></i> Simpan Data</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalFormKelompokSiswa" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormKelompokSiswa">Form Kelompok Siswa Qiroaty</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormKelompokSiswa" action="#" method="POST" class="needs-validation" novalidate>
                    <div class="form-row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Nama Kelompok</label>
                                <select class="form-control select2" name="IdKelasQuran" style="width: 100%;">
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Nama Siswa</label>
                                <select class="form-control select2" name="IdSiswa" style="width: 100%;">
                                </select>
                            </div>
                        </div>
                    </div>
                    
                    <div class="offset-md-2 col-md-9 text-center">
                        <button type="button" class="btn btn-danger text-center" data-dismiss="modal"><i class="fa fa-times"></i> Batal</button>
                        <button type="button" class="btn btn-success text-center" onclick="SaveKelasQuranSiswa();"><i class="fa fa-save"></i> Simpan Data</button>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="ModalUploadKelompokQiroaty">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Upload Kelompok Qiroaty</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="FormUploadKelompokQiroaty" class="form-horizontal" action="#" enctype="multipart/form-data">
                <div class="modal-body">
                    <div class="alert alert-warning"><i class="fa fa-warning"></i> <b>INFO</b> : Sistem upload file menggunakan sistem <b>replace</b>.</div>
                        <div class="form-group">
                            <label class="col-form-label">File Upload</label> (<a href="/api/download/DownloadKelompokQiroaty"><small class="text-danger">download template</small></a>)
                            <input type="file" class="form-control" name="FileUpload" id="FileUploadKelompokQiroaty" />
                            <small class="text-danger">*ekstensi file wajib .xlsx</small>
                        </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> 
                    <button type="button" class="btn btn-primary" onclick="SaveUploadKelompokQiroaty();">Upload Sekarang</button>
                </div>
            </form>
        </div>
    </div>
</div>